older_version_mysql

Installing older version of PHP and MySQL

older_version_mysql

Here are the steps for installing older version of PHP and MySQL

The steps to install MySQL

1.    Download the latest webtatic-release rpm from
http://repo.webtatic.com/yum/el6/x86_64/
2.    Install webtatic-release rpm:
# rpm -Uvh webtatic-release*rpm
3.    Install mysql55w-libs rpm package:
# yum –enablerepo=webtatic install mysql55w-libs

NOte : IF any error then remove the dependency by rpm command
Example from the error output
rpm –q mysql-community-common-5.7.20-1.el7.x86_64
then
rpm –e mysql-community-common-5.7.20-1.el7.x86_64

If its further giving error then remove each dependency
At end, your installation should be complete
References:
https://centos.pkgs.org/6/webtatic-x86_64/mysql55w-libs-5.5.57-1.w6.x86_64.rpm.html
Mysql old version installation
yum install mysql55w mysql55w-server
service mysqld start
mysql_upgrade -u root -p
References
https://webtatic.com/packages/mysql55/

Don’t forget to do MySQL secure installation, simple fire this
mysql_secure_installation

After doing all this then follow below link for APPACHE AND PHP
https://www.howtoforge.com/apache_php_mysql_on_centos_7_lamp
After MySQL install Apache , then PHP and at end PHP-MYSQL AND 3RD PARTY PHP SOFTWARE
If you keeping Mysql in separate software then don’t need to install MySQL but you need to install PHP-MYSQL
Is always advisable you should have separate data directory for MySQL and home directory for Apache.

Refer to our blog that how to do separate data directory for MySQL and home directory for Php

For any question one can mail me on devasish2000@gmail.com  for any direct solution in Linux, Open stack ,Hadoop, Apache Spark can place the request on www.99ideas.in

Leave a Reply

Your email address will not be published. Required fields are marked *